View Issue Details

IDProjectCategoryView StatusLast Update
0025130mantisbtadministrationpublic2019-01-05 19:24
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025130: "Check Installation" is missing from Admin menu
Description

When the Admin pages were migrated to Modern UI, the Check Installation menu item was omitted in the new page.

The Admin Checks are a useful troubleshooting tool for administrators, so they should be more easily accessible than having to manually go to http://path.to/mantis/admin/check/

TagsNo tags attached.

Activities

dregad

dregad

2018-12-30 05:17

developer   ~0061115

See attached screenshots



admin-menu-13x.png (17,394 bytes)
admin-menu-13x.png (17,394 bytes)
admin-menu-20x.png (15,445 bytes)
admin-menu-20x.png (15,445 bytes)
dregad

dregad

2018-12-30 05:25

developer   ~0061116

PR https://github.com/mantisbt/mantisbt/pull/1431



admin-menu-20x-fixed.png (14,684 bytes)
admin-menu-20x-fixed.png (14,684 bytes)

Related Changesets

MantisBT: master 8dbcfa12

2018-12-29 12:45:59

dregad

Details Diff
Add "Check Installation" to Admin menu

The Admin Checks used to be available via the Administration pages'
menu in Mantis <= 1.3. However, the menu item disappeared when the
Modern UI was introduced.

This reintroduces a dedicated tab, facilitating access to this useful
troubleshooting tool.

Fixes 0025130
Affected Issues
0025130
mod - admin/check/index.php Diff File
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2018-12-30 04:50 dregad New Issue
2018-12-30 04:50 dregad Status new => assigned
2018-12-30 04:50 dregad Assigned To => dregad
2018-12-30 05:17 dregad File Added: admin-menu-13x.png
2018-12-30 05:17 dregad File Added: admin-menu-20x.png
2018-12-30 05:17 dregad Note Added: 0061115
2018-12-30 05:25 dregad File Added: admin-menu-20x-fixed.png
2018-12-30 05:25 dregad Note Added: 0061116
2019-01-02 17:32 vboctor Target Version 2.19.0 => 2.20.0
2019-01-05 19:24 dregad Changeset attached => MantisBT master 8dbcfa12
2019-01-05 19:24 dregad Status assigned => resolved
2019-01-05 19:24 dregad Resolution open => fixed
2019-01-05 19:24 dregad Fixed in Version => 2.20.0